org.jgroups

## Class ChannelClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.ChannelException
      - - org.jgroups.ChannelClosedException

All Implemented Interfaces:
  java.io.Serializable

    public class ChannelClosedException
    extends ChannelException

Thrown if an operation is attemped on a closed channel.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChannelClosedException()`
`ChannelClosedException(java.lang.String msg)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChannelClosedException

    public ChannelClosedException()

#### ChannelClosedException

    public ChannelClosedException(java.lang.String msg)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`